Kerbal Space Program - Bug #20997

MK2 Cargo Bays less draggy while open.
01/18/2019 08:59 PM - Shaun

Status: Not Fixed Start date: 01/18/2019
Severity: Low % Done: 50%
Assignee:

Category: Parts

Target version: 1.10.0

Version: 1.6.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game, Making History

Description

What happens: When opening the MK2 Cargo Bay CRG-8 in flight, there seems to be less drag than when closed, and the aircraft
accelerates. This may hold true for the MK2 CRG-4.

How to reproduce:
® Create an atmospheric aircraft with a MK2 Cargo Bay CRG-8.
e Fly at a fixed pitch until speed and altitude level.
¢ Open the MK2 Cargo Bay
¢ Aircraft will begin to accelerate, assumed due to broken drag model.
Notes:
e Created discussion on KSP forums, other players have confirmed issue. Link:

https://forum.kerbalspaceprogram.com/index.php?/topic/181500-mk2-cargo-bay-less-draggy-when-open/&tab=comments#com
ment-3524682

e Tried with parts inside the Cargo Bay, still accelerates.
Versions Affected:

Have only noticed on 1.6.1, but | don't use the MK2 parts very much.

History

#1 - 01/19/2019 03:54 PM - bewing
- Status changed from New to Confirmed

- % Done changed from 0 to 10

This has been a bug since at least version 1.2.2.
https://forum.kerbalspaceprogram.com/index.php?/topic/159048-way-to-see-drag-vales

#2 - 01/20/2019 03:25 AM - Anonymous

- File mk2.craft added

- File tinyDrag.jpg added

This really needs an example craft. When | open the bay, the aircraft usually slows down.

With an empty bay, at high speed, the cargo bay does get slightly less draggy when open.

The cargo bays already have custom drag_cube entries, and they do have larger exposed surface area when open. The coefficient of drag Cd,
however, is slightly lower when open. Starting in version 1.2 KSP raises Cd to a power at high speed, so at mach 5 the drag depends on Cd?, so

small reduction in Cd can overcome the greater area.

For this problem, we could fix by making the Cd of the open doors bigger when open (currently it is smaller).
A Module-Manager patch that changes just this one number, but copying the unchanged one for context:

@PART[mk2CargoBayL] {

@DRAG_CUBE {

cube,0 = A, 5.66,0.42,1.32, 5.66,0.42,1.32, 2.49,0.96,0.15, 2.49,0.96,0.15, 9.39,0.94,0.70, 9.39,0.93,0.70, 0,0,0, 2.5,3.75,1.5

cube,1 =B, 7.09,0.56,2.07, 7.09,0.57,2.07, 2.49,0.96,0.15, 2.49,0.96,0.15, 14.95,0.93,1.93, 14.95,1.00,2.10, 0,0,-0.28, 4.00,3.75,2.06 // 0.93 and 1.0
were 0.82

1
@PART[mk2CargoBayS] {

@DRAG_CUBE {

cube,0 = A, 2.81,0.42,1.32, 2.81,0.42,1.32, 2.49,0.96,0.15, 2.49,0.96,0.15, 4.69,0.93,1.39, 4.69,0.93,1.54, 0,0,0, 2.5,1.87,1.5

cube,1 = B, 3.51,0.57,2.02, 3.52,0.57,2.09, 2.49,0.96,0.15, 2.49,0.96,0.15, 7.51,0.93,1.93, 7.51,1.00,2.10, 0,0,-0.28, 4.0,1.87,2.1 // 0.93 and 1.0 was
0.82

1

#6 - 02/15/2020 05:44 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version set to 1.9.0

- % Done changed from 10 to 80

We have made changes in this last release and would like your feedback please.

#7 - 02/19/2020 03:36 AM - Anonymous
- Status changed from Ready to Test to Not Fixed
- % Done changed from 80 to 50

| cannot find any relevant change, and the behaviour remains the same on the example craft.

#8 - 07/06/2020 03:26 PM - victorr
- Status changed from Not Fixed to Ready to Test
- Target version changed from 1.9.0 to 1.10.0

- % Done changed from 50 to 80

We've made some more changes in this 1.10.0 version and would like some feedback on this issue. Thanks.

#9 - 07/06/2020 05:54 PM - Anonymous
- Status changed from Ready to Test to Not Fixed
- % Done changed from 80 to 50

Files
mk2.craft 29.4 KB 01/20/2019 Anonymous
tinyDrag.jpg 276 KB 01/20/2019 Anonymous
